#include "raine.h"
#include "sasound.h"

void sound_load_cfg() {
   RaineSoundCard = raine_get_config_id(	"Sound",        "sound_card",           DIGI_NONE);
   audio_sample_rate= raine_get_config_int( "Sound",        "sample_rate",          22050 );
   STREAM_BUFFER_MAXA	= raine_get_config_int( "Sound",        "BufferMaxA",           DEF_STREAM_BUFFER_MAXA);
   MODEB_FRAME_SIZE	= raine_get_config_int( "Sound",        "ModeBFrameSize",       DEF_MODEB_FRAME_SIZE);          // 60
   MODEB_UPDATE_COUNT	= raine_get_config_int( "Sound",        "ModeBUpdateCount",     DEF_MODEB_UPDATE_COUNT);        // 4
   MODEB_ERROR_MAX	= raine_get_config_int( "Sound",        "ModeBErrorWaitMax",    DEF_STREAM_UPDATE_ERROR_MAX );  // 16
   STREAM_BUFFER_MAXB	= MODEB_FRAME_SIZE;			/* don't change this!! */
   MODEB_MASK		= MODEB_FRAME_SIZE/MODEB_UPDATE_COUNT;	/* don't change this!! */
}

void sound_save_cfg() {
   // SOUND
   raine_set_config_id( 	"Sound",        "sound_card",           RaineSoundCard);
   raine_set_config_int(	"Sound",        "sample_rate",          audio_sample_rate);

   raine_set_config_int(	"Sound",        "BufferMaxA",           STREAM_BUFFER_MAXA);
   raine_set_config_int(	"Sound",        "ModeBFrameSize",       MODEB_FRAME_SIZE);
   raine_set_config_int(	"Sound",        "ModeBUpdateCount",     MODEB_UPDATE_COUNT);
   raine_set_config_int(	"Sound",        "ModeBErrorWaitMax",    MODEB_ERROR_MAX);

   raine_set_config_int(	"Sound",        "DariusStereo",         DariusStereo);
}
